Atom feed of this document
 

 Show Port

Verb URI Description
GET /tenants/tenant-id/networks/ network-id/ports/ port-id Retrieves the port port-id configured for the network network-id belonging to the tenant tenant-id.

Normal Response Code(s): 200

Error Response Code(s): Unauthorized (401), Forbidden (403), NetworkNotFound (420), PortNotFound (430)

This operation returns the unique identifier and the current administrative state for a specific port configured for the network specified in the request URI.

This operation does not require a request body.

 

Example 4.19. Show Port Request/Response (XML)

Request:

GET /tenants/33/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/98017ddc-efc8-4c25-a915-774b2a633855.xml                

Response:

<port
    id="98017ddc-efc8-4c25-a915-774b2a633855"
    state="DOWN"/>
                    

 

Example 4.20. Show Port Request/Response (JSON)

Request:

GET /tenants/33/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/98017ddc-efc8-4c25-a915-774b2a633855.json	                

Response:

{
    "port":
        {
            "state": "DOWN",
            "id": "98017ddc-efc8-4c25-a915-774b2a633855"
        }
}